package yb_community_audio_listen_log

import "time"

// YbCommunityAudioListenLog 社区语音回答点击日志
type YbCommunityAudioListenLog struct {
	Id                       int       `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	CommunityQuestionAudioID int       `gorm:"column:community_question_audio_id;type:int(10) unsigned;not null" json:"community_question_audio_id"` //问答音频ID
	CommunityQuestionID      int       `gorm:"column:community_question_id;type:int(10) unsigned;not null;default:0" json:"community_question_id"`   // 社区问题ID
	UserID                   int       `gorm:"index:idx_user_id;column:user_id;type:int(10) unsigned;not null;default:0" json:"user_id"`             // 点击音频的用户ID
	CompanyID                int       `gorm:"column:company_id;type:int(10) unsigned;not null;default:0" json:"companyId"`                          // 客户ID
	CompanyName              string    `gorm:"column:company_name;type:varchar(100);not null;default:''" json:"companyName"`
	CompanyStatus            string    `gorm:"column:company_status;type:varchar(30);not null;default:''" json:"companyStatus"`
	SellerID                 int       `gorm:"column:seller_id;type:int(11)" json:"sellerId"`
	SourceAgent              int       `gorm:"column:source_agent;type:tinyint(4);default:1" json:"source_agent"`             // 操作来源，1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
	CreateTime               time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"create_time"` // 创建日志时间
	RealName                 string    `gorm:"column:real_name;type:varchar(100);not null;default:''" json:"real_name"`       //用户姓名
	StopSeconds              int       `gorm:"column:stop_seconds" json:"stop_seconds"`                                       //停止时的秒数
}

// TableName get sql table name.获取数据库表名
func (l *YbCommunityAudioListenLog) TableName() string {
	return "yb_community_audio_listen_log"
}
